Mail archive
alpine-aports

[alpine-aports] [PATCH 1/5] testing/libftdi1: new aport

From: Stefan Wagner <stw_at_bit-strickerei.de>
Date: Mon, 23 May 2016 00:15:01 +0200

A library to talk to FTDI chips
http://www.intra2net.com/en/developer/libftdi/download.php
---
 testing/libftdi1/01-CMakeLists-no-lib-suffix.patch | 11 +++++++
 testing/libftdi1/APKBUILD                          | 38 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 testing/libftdi1/01-CMakeLists-no-lib-suffix.patch
 create mode 100644 testing/libftdi1/APKBUILD
diff --git a/testing/libftdi1/01-CMakeLists-no-lib-suffix.patch b/testing/libftdi1/01-CMakeLists-no-lib-suffix.patch
new file mode 100644
index 0000000..cdfdc69
--- /dev/null
+++ b/testing/libftdi1/01-CMakeLists-no-lib-suffix.patch
_at_@ -0,0 +1,11 @@
+--- a/CMakeLists.txt	2014-11-21 17:42:17.000000000 +0100
++++ b/CMakeLists.txt	2016-05-22 23:04:12.640297140 +0200
+_at_@ -55,7 +55,7 @@
+       AND NOT EXISTS "/etc/debian_version"
+       AND NOT EXISTS "/etc/arch-release" )
+     if ( "${CMAKE_SIZEOF_VOID_P}" EQUAL "8" )
+-      set ( LIB_SUFFIX 64 )
++      set ( LIB_SUFFIX "" )
+     endif ()
+   endif ()
+ endif ()
diff --git a/testing/libftdi1/APKBUILD b/testing/libftdi1/APKBUILD
new file mode 100644
index 0000000..224fe16
--- /dev/null
+++ b/testing/libftdi1/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Stefan Wagner <stw_at_bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw_at_bit-strickerei.de>
+pkgname=libftdi1
+pkgver=1.2
+pkgrel=0
+pkgdesc="A library to talk to FTDI chips"
+url="http://www.intra2net.com/en/developer/libftdi/download.php"
+arch="all"
+license="LGPL2, GPL2"
+makedepends="cmake doxygen swig libusb-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.intra2net.com/en/developer/libftdi/download/${pkgname}-${pkgver}.tar.bz2
+	01-CMakeLists-no-lib-suffix.patch"
+
+builddir="$srcdir/${pkgname}-${pkgver}"
+build() {
+	mkdir "$builddir/build" || return 1
+	cd "$builddir/build"
+	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_BUILD_RPATH=ON \
+		-DCMAKE_BUILD_TYPE=Release -DEXAMPLES=OFF -DFTDI_EEPROM=ON .. || return 1
+	make
+}
+
+package() {
+	cd "$builddir/build"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 ../packages/99-libftdi.rules "$pkgdir"/usr/lib/udev/rules.d/99-libftdi.rules || return 1
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/ "$pkgdir"/usr/share/man/man3/ || return 1
+	install -m644 doc/html/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	install -m644 doc/man/man3/ftdi_eeprom.3 "$pkgdir"/usr/share/man/man3/ || return 1
+}
+
+md5sums="89dff802d89c4c0d55d8b4665fd52d0b  libftdi1-1.2.tar.bz2
+de07c454042cd2d943c6495e4680d869  01-CMakeLists-no-lib-suffix.patch"
+sha256sums="a6ea795c829219015eb372b03008351cee3fb39f684bff3bf8a4620b558488d6  libftdi1-1.2.tar.bz2
+8a2a7524917c8b6a11792baaeac5a6ad41715a0cb0fd739637ce21e5b770bbf2  01-CMakeLists-no-lib-suffix.patch"
+sha512sums="d175e2b39dda880653a2e46db67e49a8921095e69eff6598159c3c31292d4ce76617c2f1617fd6727b08c930fcea335d8ef01857debbb60e7ac384b516d38a05  libftdi1-1.2.tar.bz2
+5583fcb66414d9668bcbff0ad8a688f419414040b9480e24edde8de9f0fecb4bf4e06db7bfb0b7542fd44eff712ad7f72c8c32b5dc27885c26f1707b06485f1b  01-CMakeLists-no-lib-suffix.patch"
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon May 23 2016 - 00:15:01 GMT